Create a notification
POST
/api/v1/notifications
const url = 'https://renotify.app/api/v1/notifications';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Welcome Series","template_name":"welcome_new_user","provider":"whatsapp_cloud","channel_id":1,"schedule_type":"recurring","schedule_date":"2026-01-15","schedule_time":"09:00","schedule_interval":"weekly","schedule_custom_interval":14,"schedule_weekdays":["mon","wed"],"schedule_month_days":[1,15],"enabled":true,"template_language":"zmiyvdljnikhwayk","message_category":"marketing","variables":null,"reply_bot_id":16,"target_group_id":2,"schedule":"weekly"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://renotify.app/api/v1/notifications \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Welcome Series", "template_name": "welcome_new_user", "provider": "whatsapp_cloud", "channel_id": 1, "schedule_type": "recurring", "schedule_date": "2026-01-15", "schedule_time": "09:00", "schedule_interval": "weekly", "schedule_custom_interval": 14, "schedule_weekdays": [ "mon", "wed" ], "schedule_month_days": [ 1, 15 ], "enabled": true, "template_language": "zmiyvdljnikhwayk", "message_category": "marketing", "variables": null, "reply_bot_id": 16, "target_group_id": 2, "schedule": "weekly" }'Create a notification schedule for the current team.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
The notification name.
string
Example
Welcome Seriestemplate_name
required
The provider template name.
string
Example
welcome_new_userprovider
The messaging provider to use.
string
Example
whatsapp_cloudchannel_id
The channel ID to send through.
integer
Example
1schedule_type
The schedule mode.
string
Example
recurringschedule_date
The send date for one-off notifications.
string
Example
2026-01-15schedule_time
The send time in 24-hour format.
string
Example
09:00schedule_interval
The recurring interval.
string
Example
weeklyschedule_custom_interval
The number of days for a custom interval.
integer
Example
14schedule_weekdays
The weekdays to use for weekly sends.
Array<string>
Example
[ "mon", "wed"]schedule_month_days
The month days to use for monthly sends.
Array<string>
Example
[ 1, 15]enabled
Whether the notification is enabled.
boolean
Example
truetemplate_language
Must not be greater than 20 characters.
string
Example
zmiyvdljnikhwaykmessage_category
string
Example
utilityvariables
object
header
Must not be greater than 1024 characters.
string
Example
cbody
Must not be greater than 1024 characters.
Array<string>
Example
[ "m"]button
Must not be greater than 1024 characters.
string
Example
yExample
nullreply_bot_id
Must match an existing stored value.
integer
Example
16target_group_id
The target group ID to send to.
integer
Example
2schedule
The legacy schedule alias used by the API.
string
Example
weekly